Search calls
curl --request GET \
--url https://api.recepta.ai/api/v1/api/calls/search \
--header 'x-api-key: <api-key>'import requests
url = "https://api.recepta.ai/api/v1/api/calls/search"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.recepta.ai/api/v1/api/calls/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"calls": [
{
"id": "69af1467f97caa0d0e1e13e2",
"retellId": "call_abc123",
"callType": "PHONE_CALL",
"direction": "INBOUND",
"fromNumber": "+19032466065",
"toNumber": "+19034851458",
"status": "ENDED",
"startTimestamp": "2026-03-09T18:41:43.188Z",
"endTimestamp": "2026-03-09T18:41:49.664Z",
"durationMs": 6476,
"companyId": "69053acd6e4cdf19cb778090",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
}Calls
Search Calls
Search calls by query string or filter by status.
GET
/
api
/
calls
/
search
Search calls
Authorizations
Your Recepta API key (starts with rcp_)
Query Parameters
Search query (phone number, agent name, etc.)
Filter by call status
Available options:
REGISTERED, ONGOING, ENDED, ERROR ⌘I

